Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001039Anope Development (1.9.x series)Chanservpublic2009-03-09 18:422010-09-12 09:55
Reporternamegduf@fudgeman.org 
Assigned Toqa@anope.org 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformIBM PCOSLinuxOS Version
Product Version 
Target VersionFixed in Version 
Summary0001039: CS SET RESTRICTED not dependent on the setting of SECUREOPS
DescriptionAccording to CS HELP SET RESTRICTED, RESTRICTED should kick users who would not be permitted to be opped on the channel. It then goes on to explicitly state that it includes users with negative access, or, if SECUREOPS is on, all users not on the access list.

However, RESTRICTED in reality always kicks users who are not on the access list, and does not appear to base its behaviour on SECUREOPS at all. Either this should be changed, or the documentation updated.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005564)
chaz (administrator)
2010-09-12 09:55

Issues marked as resolved for a period of time without argument will be closed.

- Issue History
Date Modified Username Field Change
2009-04-06 11:33 Adam Status UNCONFIRMED => RESOLVED
2009-04-06 11:33 Adam CC => Adam
2009-04-06 11:33 Adam Resolution => FIXED
2010-09-12 09:55 chaz Note Added: 0005564
2010-09-12 09:55 chaz Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker